CParamizedFunctor Class Reference

`#include <mia/core/cmdtranslateroption.hh>`

Inheritance diagram for CParamizedFunctor:
[legend]
Collaboration diagram for CParamizedFunctor:
[legend]

## Data Structures

class | Selector

## Public Member Functions

| CParamizedFunctor (const char *name)
Public Member Functions inherited from CParamTranslator
void | add_parameter (const std::string &name, CParameter *param)
void | check_parameters ()
| CParamTranslator (const char *name)
virtual void | do_get_help_xml (CXMLElement &root) const
const std::string | get_descr () const
void | get_help (std::ostream &os) const
void | get_help_xml (CXMLElement &root) const
const char * | get_name () const
void | get_short_help (std::ostream &os) const
void | set_parameters (const CParsedOptions &options)
virtual | ~CParamTranslator ()

## Additional Inherited Members

Protected Member Functions inherited from CParamTranslator
CParamList & | get_parameters ()

## Detailed Description

Definition at line 32 of file cmdtranslateroption.hh.

## Constructor & Destructor Documentation

## CParamizedFunctor()

CParamizedFunctor::CParamizedFunctor | ( | const char * | name | ) |

The documentation for this class was generated from the following file:

- cmdtranslateroption.hh